Subject: Re: iSCSI: TargetAddress format

From: "Julian Satran" <[email-masked]>
Date: Thu, 16 May 2002 21:21:58 +0300

That is an IPV6 address - Julo

"Lakshmi Ramasubramanian" <[email-masked]>
Sent by: [email-masked]
05/16/2002 08:58 PM
Please respond to "Lakshmi Ramasubramanian"

        To:     <[email-masked]>
        cc: 
        Subject:        iSCSI: TargetAddress format

The format of TargetAddress (Section 11.8) is given as 
 
 TargetAddress=domainname[:port][,portal-group-tag]
 
In the examples given 
 
 TargetAddress=[1080:0:0:0:8:800:200C:417A],65
 TargetAddress=[1080::8:800:200C:417A]:5003,1
 
What does the value within brackets indicate? Is it
an IPv6 address?
 
thanks!
 -lakshmi

---

From: Mark Bakke <[email-masked]>
Date: Thu, 16 May 2002 13:36:22 -0500

Julian-

I just went through the IPv6 stuff again, and found a few things
that we should update, since the address:tcpport format is no
longer defined in the naming section:

11.8 TargetAddress:

After:

Add:

The domainname can be specified as either a DNS host name, a
dotted-decimal IPv4 address, or a bracketed IPv6 address as
specified in [RFC2732].

Replace:

The TargetAddress key is further described in Appendix D. - SendTargets Operation -.

With:

Use of the portal-group-tag is described in Appendix D. - SendTargets Operation -.

Appendix D. SendTargets Operation:

Replace:

The hostname-or-ipaddress and tcp port are as specified in the Sec-
tion 2.2.6 iSCSI Names.

With:

The hostname-or-ipaddress contains a domain name, IPv4 address, or
IPv6 address, as specified for the TargetAddress key.

Hopefully that will clear it up.

--
Mark

Julian Satran wrote:
>   "Lakshmi Ramasubramanian"
>   <[email-masked]>                                 To:        <[email-masked]>
>   Sent by: [email-masked]                                 cc:
>                                                                  Subject:        iSCSI:
>   05/16/2002 08:58 PM                                    TargetAddress format

-- 
Mark A. Bakke
Cisco Systems
[email-masked]
763.398.1054